Real-time voice activity metrics aggregated at account, queue, and agent level.

Get Account-level Activity

  • GET /api/v2/channels/voice/dashboard/account_level_activity

Returns real-time activity metrics aggregated across the entire account, or across a filtered set of phone numbers.

Allowed For

  • Agents
  • Support users with Voice Dashboard Access permission

Parameters

NameTypeInRequiredDescription
phone_numbersarrayQueryfalseOptional list of phone number IDs to filter aggregation by

Code Samples

curl
curl https://{subdomain}.zendesk.com/api/v2/channels/voice/dashboard/account_level_activity.json \  -v -H "Authorization: Bearer {access_token}"
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://support.zendesk.com/api/v2/channels/voice/dashboard/account_level_activity?phone_numbers="	method := "GET"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://support.zendesk.com/api/v2/channels/voice/dashboard/account_level_activity")		.newBuilder()		.addQueryParameter("phone_numbers", "");String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("GET", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'GET',  url: 'https://support.zendesk.com/api/v2/channels/voice/dashboard/account_level_activity',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },  params: {    'phone_numbers': '',  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://support.zendesk.com/api/v2/channels/voice/dashboard/account_level_activity?phone_numbers="headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"GET",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://support.zendesk.com/api/v2/channels/voice/dashboard/account_level_activity")uri.query = URI.encode_www_form("phone_numbers": "")request = Net::HTTP::Get.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end

Example response(s)

200 OK
// Status 200 OK
{  "account": {    "average_hold_time": 0,    "average_talk_time": 0,    "average_wrap_up_time": 0,    "calls_accepted": 0,    "calls_declined": 0,    "calls_missed": 0,    "calls_put_on_hold": 0,    "third_party_conference_accepted": 0,    "third_party_conference_started": 0,    "time_available": 15795,    "total_away": 0,    "total_call_length": 0,    "total_hold_time": 0,    "total_online": 15795,    "total_talk_time": 0,    "total_transfers_only": 0,    "total_wrap_up_time": 0,    "transfer_accepted": 0,    "transfer_started": 0  },  "agents": [],  "from": 1782964800,  "to": 1782996391}
404 Not Found
// Status 404 Not Found
{  "description": "Not found",  "error": "RecordNotFound"}
504 Gateway Timeout
// Status 504 Gateway Timeout
{  "message": "ElasticSearch is down"}

Get Agent-level Activity

  • GET /api/v2/channels/voice/dashboard/agent_level_activity

Returns real-time activity metrics per agent, optionally scoped to a set of groups. When the account has voice dashboard pagination enabled, the response includes pagination metadata.

Allowed For

  • Agents
  • Support users with Voice Dashboard Access permission

Parameters

NameTypeInRequiredDescription
groupsarrayQueryfalseGroup IDs to scope the agent list by
pageintegerQueryfalsePage number for paginated responses
per_pageintegerQueryfalseRecords per page for paginated responses

Code Samples

curl
curl https://{subdomain}.zendesk.com/api/v2/channels/voice/dashboard/agent_level_activity.json \  -v -H "Authorization: Bearer {access_token}"
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://support.zendesk.com/api/v2/channels/voice/dashboard/agent_level_activity?groups=&page=&per_page="	method := "GET"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://support.zendesk.com/api/v2/channels/voice/dashboard/agent_level_activity")		.newBuilder()		.addQueryParameter("groups", "")		.addQueryParameter("page", "")		.addQueryParameter("per_page", "");String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("GET", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'GET',  url: 'https://support.zendesk.com/api/v2/channels/voice/dashboard/agent_level_activity',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },  params: {    'groups': '',    'page': '',    'per_page': '',  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://support.zendesk.com/api/v2/channels/voice/dashboard/agent_level_activity?groups=&page=&per_page="headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"GET",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://support.zendesk.com/api/v2/channels/voice/dashboard/agent_level_activity")uri.query = URI.encode_www_form("groups": "", "page": "", "per_page": "")request = Net::HTTP::Get.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end

Example response(s)

200 OK
// Status 200 OK
{  "agents_activity": {    "account": {      "average_hold_time": 0,      "average_talk_time": 0,      "average_wrap_up_time": 0,      "calls_accepted": 0,      "calls_declined": 0,      "calls_missed": 0,      "calls_put_on_hold": 0,      "third_party_conference_accepted": 0,      "third_party_conference_started": 0,      "time_available": 15795,      "total_away": 0,      "total_call_length": 0,      "total_hold_time": 0,      "total_online": 15795,      "total_talk_time": 0,      "total_transfers_only": 0,      "total_wrap_up_time": 0,      "transfer_accepted": 0,      "transfer_started": 0    },    "agents": [],    "from": 1782964800,    "to": 1782996391  }}
504 Gateway Timeout
// Status 504 Gateway Timeout
{  "agents_activity": {    "agents": []  }}

Get Queue-level Activity

  • GET /api/v2/channels/voice/dashboard/queue_level_activity

Returns real-time activity metrics aggregated per queue.

Allowed For

  • Agents
  • Support users with Voice Dashboard Access permission

Parameters

NameTypeInRequiredDescription
phone_numbersarrayQueryfalseOptional list of phone number IDs to filter aggregation by

Code Samples

curl
curl https://{subdomain}.zendesk.com/api/v2/channels/voice/dashboard/queue_level_activity.json \  -v -H "Authorization: Bearer {access_token}"
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://support.zendesk.com/api/v2/channels/voice/dashboard/queue_level_activity?phone_numbers="	method := "GET"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://support.zendesk.com/api/v2/channels/voice/dashboard/queue_level_activity")		.newBuilder()		.addQueryParameter("phone_numbers", "");String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("GET", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'GET',  url: 'https://support.zendesk.com/api/v2/channels/voice/dashboard/queue_level_activity',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },  params: {    'phone_numbers': '',  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://support.zendesk.com/api/v2/channels/voice/dashboard/queue_level_activity?phone_numbers="headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"GET",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://support.zendesk.com/api/v2/channels/voice/dashboard/queue_level_activity")uri.query = URI.encode_www_form("phone_numbers": "")request = Net::HTTP::Get.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end

Example response(s)

200 OK
// Status 200 OK
{  "account": {    "average_hold_time": 0,    "average_talk_time": 0,    "average_wrap_up_time": 0,    "calls_accepted": 0,    "calls_declined": 0,    "calls_missed": 0,    "calls_put_on_hold": 0,    "third_party_conference_accepted": 0,    "third_party_conference_started": 0,    "time_available": 15795,    "total_away": 0,    "total_call_length": 0,    "total_hold_time": 0,    "total_online": 15795,    "total_talk_time": 0,    "total_transfers_only": 0,    "total_wrap_up_time": 0,    "transfer_accepted": 0,    "transfer_started": 0  },  "agents": [],  "from": 1782964800,  "to": 1782996391}
404 Not Found
// Status 404 Not Found
{  "description": "Not found",  "error": "RecordNotFound"}
504 Gateway Timeout
// Status 504 Gateway Timeout
{  "message": "ElasticSearch is down"}